HomologeneBuilder (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.homologene.HomologeneBuilder interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.homologene
Interface HomologeneBuilder

All Known Implementing Classes:
  SimpleHomologeneBuilder

    public interface HomologeneBuilder

an interface for Homologene dataset Builders

Author:
  David Huen

Field Summary
`static String` | `ACCESSION`
`static String` | `CURATED`
`static String` | `HOMOID`
`static String` | `LOCUSID`
`static String` | `MULTIPLE`
`static String` | `PERCENTIDENTITY`
`static String` | `REFERENCE`
`static String` | `SIMILARITYTYPE`
`static String` | `TAXONID`
`static String` | `TWIN`

Method Summary
`void` | `addOrthologueProperty(String key, String value)` add a property to the current Orthologue
`void` | `addOrthoPairProperty(String key, String value)` add a property to the current OrthoPair
`void` | `addTitle(int taxonID, String homologeneID, String title)` add title information to an Orthologue (this is not in enclosed in the Orthologue element because it comes completely separate in the Homologene data files.
`void` | `endDB()` end of data for DB
`void` | `endGroup()` end of data for group
`void` | `endOrthologue()` end of data for this Orthologue
`void` | `endOrthoPair()` end of data for this OrthoPair
`HomologeneDB` | `getDB()` retrieve the DB that has just been built
`void` | `startDB()` indicates start of data for a HomologeneDB
`void` | `startGroup()` indicates start of data for a OrthoPairSet
`void` | `startOrthologue()` indicates start of data for an orthologue
`void` | `startOrthoPair()` indicates start of data for an OrthoPair

Field Detail

### TAXONID

    static final String TAXONID

See Also:
  Constant Field Values

### LOCUSID

    static final String LOCUSID

See Also:
  Constant Field Values

### HOMOID

    static final String HOMOID

See Also:
  Constant Field Values

### ACCESSION

    static final String ACCESSION

See Also:
  Constant Field Values

### SIMILARITYTYPE

    static final String SIMILARITYTYPE

See Also:
  Constant Field Values

### PERCENTIDENTITY

    static final String PERCENTIDENTITY

See Also:
  Constant Field Values

### REFERENCE

    static final String REFERENCE

See Also:
  Constant Field Values

### TWIN

    static final String TWIN

See Also:
  Constant Field Values

### MULTIPLE

    static final String MULTIPLE

See Also:
  Constant Field Values

### CURATED

    static final String CURATED

See Also:
  Constant Field Values

Method Detail

### startDB

    void startDB()

  indicates start of data for a HomologeneDB

### startGroup

    void startGroup()

  indicates start of data for a OrthoPairSet

### startOrthoPair

    void startOrthoPair()

  indicates start of data for an OrthoPair

### startOrthologue

    void startOrthologue()

  indicates start of data for an orthologue

### addOrthologueProperty

    void addOrthologueProperty(String key,
                               String value)

  add a property to the current Orthologue

### endOrthologue

    void endOrthologue()

  end of data for this Orthologue

### addOrthoPairProperty

    void addOrthoPairProperty(String key,
                              String value)

  add a property to the current OrthoPair

### endOrthoPair

    void endOrthoPair()

  end of data for this OrthoPair

### addTitle

    void addTitle(int taxonID,
                  String homologeneID,
                  String title)

  add title information to an Orthologue (this is not in enclosed in the Orthologue element because it comes completely separate in the Homologene data files. Go figger.)

### endGroup

    void endGroup()

  end of data for group

### endDB

    void endDB()

  end of data for DB

### getDB

    HomologeneDB getDB()

  retrieve the DB that has just been built

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD